Bug 444546 - Kernel + dbus + console-kit-daemon + segfault
Kernel + dbus + console-kit-daemon + segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 19:29 EDT by Jóhann B. Guðmundsson
Modified: 2013-03-05 22:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 09:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2008-04-28 19:29:31 EDT
Description of problem:

After I update my T61p on Sunday to latest rawhides updates ( 27.04.08 ), 
dbus and console kit started to segfault. 

[root@localhost ~]# grep segfault /var/log/messages && uname -r && rpm -qf
/bin/dbus-daemon && rpm -qf /usr/sbin/console-kit-daemon

Apr 27 22:22:23 localhost kernel: dbus-daemon[3176]: segfault at 7fa5392c0300 ip
e2b8f2 sp 7fff40b5e418 error 4 in libc-2.8.so[dab000+162000]

Apr 27 22:22:26 localhost kernel: console-kit-dae[3712]: segfault at 8 ip
3a2802a699 sp 41779ff0 error 4 in libglib-2.0.so.0.1600.3[3a28000000+de000]

Apr 28 21:51:59 localhost kernel: dbus-daemon[2076]: segfault at 7f83ee3a5ff0 ip
e2b8f2 sp 7ffff46f88e8 error 4 in libc-2.8.so[dab000+162000]

Apr 28 21:52:01 localhost kernel: console-kit-dae[2568]: segfault at 8 ip
3a2802a699 sp 41eb7ff0 error 4 in libglib-2.0.so.0.1600.3[3a28000000+de000]

2.6.25-8.fc9.x86_64
dbus-1.2.1-1.fc9.x86_64
ConsoleKit-0.2.10-3.fc9.x86_64

Version-Release number of selected component (if applicable):

See above

How reproducible:

Seem to happen after random periot of time..

Steps to Reproduce:
1. Star at the screen and wait for it to happen.. 
2.
3.
  
Actual results:

Segfault

Expected results:

No Segfault

Additional info:

Dick Gordon: National Security Agency.

Martin Bishop: Ah. You're the guys I hear breathing on the other end of my phone.

Dick Gordon: No, that's the FBI. We're not chartered for domestic surveillance.

Martin Bishop: Oh, I see. You just overthrow governments. Set up friendly dictators.

Dick Gordon: No, that's the CIA. We protect our government's communications, we
try to break the other fella's codes. We're the good guys, Marty.

Martin Bishop: Gee, I can't tell you what a relief that is... Dick. 

Mother: Okay, boss, this LTX-71 concealable mike is part of the same system that
NASA used when they faked the Apollo Moon landings. They had the astronauts
broadcast around the world from a sound stage at Norton Air Force Base in San
Bernadino, California. So it worked for them, shouldn't give us too many
problems. :)
Comment 1 Chuck Ebbert 2008-04-29 11:57:34 EDT
Why do you think it's a kernel bug when user programs segfault?
Looks like two different bugs -- one in dbus and another in ConsoleKit.
Comment 2 Jóhann B. Guðmundsson 2008-04-29 16:59:39 EDT
Why don't you remove the kernel then from the summary and move the bug then
against dbus?
Comment 3 Michal Jaegermann 2008-04-30 14:10:34 EDT
Bug 440349 looks like something similar, but with a low frequency, and
has some backtraces from gdb attached (apparently they are "weird" -
maybe a stack is smashed?).  See also comment #5 in bug 440349
for apparently analogous observations from a 32-bit F8 installation.
Comment 4 Bug Zapper 2008-05-14 06:20:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jóhann B. Guðmundsson 2008-07-16 08:53:47 EDT
This can be closed as FIXED have not noticed this since F9 final came out 
+ it was filed against wrong component will file against correct one if
I come across this again.
Comment 6 Emmanuel Kowalski 2008-08-05 12:00:09 EDT
I've had the same segfaults, also on a T61p, twice since yesterday:

messages-20080804:Aug  4 11:28:11 localhost kernel: dbus-daemon[2310]: segfault at 7f1bf3561b80 ip e2b9c2 sp 7ffffa7afc08 error 4 in libc-2.8.so[dab000+162000]
messages-20080804:Aug  4 11:28:28 localhost kernel: console-kit-dae[8295]: segfault at 8 ip c9c6a9 sp 40f5bff0 error 4 in libglib-2.0.so.0.1600.5.#prelink#.XoZ9Kb (deleted)[c72000+df000]
messages:Aug  5 10:37:10 localhost kernel: dbus-daemon[2351]: segfault at 7ff947492800 ip e2b9c2 sp 7fff4d203488 error 4 in libc-2.8.so[dab000+162000]
messages:Aug  5 10:37:14 localhost kernel: console-kit-dae[2913]: segfault at 8 ip 303ae2a6a9 sp 40ba8ff0 error 4 in libglib-2.0.so.0.1600.5[303ae00000+df000]

After these, the X server crashed.

These were the first such occurences since I installed FC9 after it came out, but I don't see any particularly suspicious RPM installed in the last few days:

pdfedit-0.4.1-1.fc9                           Mon 04 Aug 2008 09:33:34 AM CDT
albumart-1.6.5-1                              Sun 03 Aug 2008 08:22:21 AM CDT
python-mutagen-1.13-2.fc9                     Sun 03 Aug 2008 08:19:28 AM CDT
PyQt4-4.3.3-2.fc9                             Sun 03 Aug 2008 08:19:25 AM CDT
libdiscid-0.1.1-6.fc9                         Sun 03 Aug 2008 08:19:21 AM CDT
binutils-devel-2.18.50.0.6-5.fc9              Fri 01 Aug 2008 07:31:59 AM CDT
binutils-2.18.50.0.6-5.fc9                    Fri 01 Aug 2008 07:31:56 AM CDT
kde-settings-4.0-25.fc9                       Fri 01 Aug 2008 07:31:53 AM CDT
kde-settings-kdm-4.0-25.fc9                   Fri 01 Aug 2008 07:31:52 AM CDT
rsyslog-3.18.1-1.fc9                          Fri 01 Aug 2008 07:31:48 AM CDT
gtk-nodoka-engine-0.7.1-1.fc9                 Fri 01 Aug 2008 07:31:47 AM CDT
binutils-devel-2.18.50.0.6-5.fc9              Fri 01 Aug 2008 07:31:46 AM CDT
libsemanage-2.0.25-3.fc9                      Fri 01 Aug 2008 07:31:43 AM CDT

In both cases, the crashes occured while or just after watching a DVD (with VLC).
Comment 7 Colin Walters 2008-08-06 09:25:25 EDT
If you can get a stack trace, it would help a lot:

http://fedoraproject.org/wiki/StackTraces
Comment 8 Bug Zapper 2009-06-09 20:30:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 09:58:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.